Package org.apache.uima.resource.metadata

# Interface ConfigurationGroup

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

All Known Implementing Classes:
  `ConfigurationGroup_impl`

public interface ConfigurationGroup extends MetaDataObject
A group of `ConfigurationParameter`s. Actually, a single `ConfigurationGroup` object can have multiple group names, in which case it represents multiple groups that all share the same parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConfigurationParameter(ConfigurationParameter aConfigurationParameter)`
  Adds a Configuration Parameter to this group.
  `ConfigurationParameter[]`
  `getConfigurationParameters()`
  Gets the configuration parameters in this group.
  `String[]`
  `getNames()`
  Gets the group names for this `ConfigurationGroup` object.
  `void`
  `removeConfigurationParameter(ConfigurationParameter aConfigurationParameter)`
  Removes an Configuration Parameter from this group.
  `void`
  `setConfigurationParameters(ConfigurationParameter[] aParams)`
  Sets the configuration parameters in this group.
  `void`
  `setNames(String[] aNames)`
  Sets the group names for this `ConfigurationGroup` object.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### getNames

    String[] getNames()
    Gets the group names for this `ConfigurationGroup` object.
    Returns:
      an array of group names. Names are not allowed to contain whitespace.

  - ### setNames

    void setNames(String[] aNames)
    Sets the group names for this `ConfigurationGroup` object.
    Parameters:
      `aNames` - an array of group names. Names are not allowed to contain whitespace.

  - ### getConfigurationParameters

    ConfigurationParameter[] getConfigurationParameters()
    Gets the configuration parameters in this group.
    Returns:
      an array containing `ConfigurationParameter` objects, each of which describes a configuration parameter in this group.

  - ### setConfigurationParameters

    void setConfigurationParameters(ConfigurationParameter[] aParams)
    Sets the configuration parameters in this group.
    Parameters:
      `aParams` - an array containing `ConfigurationParameter` objects, each of which describes a configuration parameter in this group.

  - ### addConfigurationParameter

    void addConfigurationParameter(ConfigurationParameter aConfigurationParameter)
    Adds a Configuration Parameter to this group.
    Parameters:
      `aConfigurationParameter` - the Configuration Parameter to add
    Throws:
      `UIMA_UnsupportedOperationException` - if this object is not modifiable

  - ### removeConfigurationParameter

    void removeConfigurationParameter(ConfigurationParameter aConfigurationParameter)
    Removes an Configuration Parameter from this group.
    Parameters:
      `aConfigurationParameter` - the Configuration Parameter to remove (must be == with an ConfigurationParameter in this group, or this method will do nothing).
    Throws:
      `UIMA_UnsupportedOperationException` - if this object is not modifiable